---
- import_playbook: plays/make_files.yml
- import_playbook: plays/allnodes.yml
- import_playbook: plays/init_slurmconf.yml # this requires management nodes
- import_playbook: plays/nfssqlnodes.yml
- import_playbook: plays/mgmtnodes.yml
- import_playbook: plays/computenodes.yml

- hosts: 127.0.0.1
  gather_facts: false
  connection: local
  tasks:
  - name: running stat
    stat:
      path: plays/loginnodes.yml
    register: loginnodes_play
  - debug:
        var: loginnodes_play

- import_playbook: plays/loginnodes.yml
  when: loginnodes_play.stat.exists == True
